Bug 698267 - Implicit variables in CLI
Implicit variables in CLI
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Documentation (Show other bugs)
4.0.0.Beta2
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Deon Ballard
Mike Foley
:
Depends On:
Blocks: jon30-bugs
  Show dependency treegraph
 
Reported: 2011-04-20 10:33 EDT by Mike Foley
Modified: 2013-09-02 03:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:18:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mike Foley 2011-04-20 10:33:36 EDT
Description of problem:

Typing this command returns an error:  var criteria = new ResourceCritiera();

The documentation listed below, section 2.3, indicates that should work.

https://docs.redhat.com/docs/en-US/JBoss_Operations_Network/2.4/html/CLI_Guide/Working_with_the_CLI-Implicit_Variables.html

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.  run-cli.sh
2.  login  rhqadmin rhqadmin 
3.  var criteria = new ResourceCritiera();
  
Actual results:
ReferenceError: "ResourceCritiera" is not defined. (<Unknown source>#1)

Expected results:
should be identical to typing the following:
var criteria = new org.rhq.core.domain.criteria.ResourceCriteria();


Additional info:
Comment 2 Mike Foley 2011-04-20 13:16:28 EDT
Adding additional information.  This is not a regression.  Same behavior in JON 2.4.1.  Since it is not a regression I am removing the block rhq4....
Comment 3 Charles Crouch 2011-08-11 16:37:43 EDT
Dropping to medium priority as there are workarounds and this is not a regression.
Comment 4 Charles Crouch 2011-09-27 09:06:53 EDT
assigning to Deon to make sure our documentation reflects what actually works 
in the CLI
Comment 5 Lukas Krejci 2011-11-16 06:20:06 EST
I believe this is just a typo actually:

notice the difference:

var criteria = new ResourceCritiera();

vs the correct:

var criteria = new ResourceCriteria();
Comment 6 Deon Ballard 2011-11-16 17:10:45 EST
Hooray! Typos are easy to fix.
Comment 9 Jeeva Kandasamy 2012-08-28 02:22:23 EDT
Changes looks fine on the comment #8 link.
Comment 10 Heiko W. Rupp 2013-09-02 03:18:06 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.